moeoBinaryQualityIndicator(3)

NAME
moeoBinaryQualityIndicator - Functor Binary quality indicator Binary performance measure to use in the replacement selection process of IBEA (Indicator-Based Evolutionary Algorithm) Of course, EOFitness needs to be an eoParetoFitness object.

SYNOPSIS

#include <moeoBinaryQualityIndicator.h>

Inherits eoBF< A1, A2, R >< const const EOFitness &, EOFitness &, double >.

Inherited by moeoAdditiveBinaryEpsilonIndicator< EOFitness >, and moeoBinaryHypervolumeIndicator< EOFitness >.

  Public Member Functions
moeoBinaryQualityIndicator ()
constructor
void setBounds (const unsigned _iObj, const double _min, const double _max)
set the bounds for objective _iObj

  Protected Attributes
std::vector< Range > bounds
range (min and max double value) for each objective

  Private Types
typedef EOFitness::fitness_traits traits
fitness traits

  Classes
class Range
Private class to represent the bounds.

Detailed Description

  template<class EOFitness> class moeoBinaryQualityIndicator< EOFitness >
Functor Binary quality indicator Binary performance measure to use in the replacement selection process of IBEA (Indicator-Based Evolutionary Algorithm) Of course, EOFitness needs to be an eoParetoFitness object.

Definition at line 28 of file moeoBinaryQualityIndicator.h.

Member Function Documentation

  template<class EOFitness> void moeoBinaryQualityIndicator< EOFitness >::setBounds (const unsigned _iObj, const double _min, const double _max) [inline]

set the bounds for objective _iObj

Parameters:
    unsigned _iObj the index of the objective
    double _min the minimum value
    double _max the maximum value

Definition at line 51 of file moeoBinaryQualityIndicator.h.

Referenced by moeoIBEAAvgSorting< EOT, FitnessEval >::setBounds(), moeoIBEAStochSorting< EOT, FitnessEval >::setBounds(), and moeoIBEASorting< EOT, Fitness >::setBounds().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.